## Class Auth_OpenID_PlainTextServerSession

Description

A class implementing plaintext server sessions.

Located in /Auth/OpenID/Server.php (line 429)

Variable Summary
mixed $allowed_assoc_types
mixed $needs_math
mixed $session_type
Method Summary
void answer ( $secret)
void fromMessage ( $unused_request)
Variables
mixed $allowed_assoc_types = array('HMAC-SHA1', 'HMAC-SHA256') (line 436)
mixed $needs_math = false (line 435)
mixed $session_type = 'no-encryption' (line 434)

An object that knows how to handle association requests with no session type.

Methods
answer (line 443)
void answer ( $secret)

- $secret

fromMessage (line 438)
void fromMessage ( $unused_request)

- $unused_request

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2